#version 330 core
in vec2 UV;
out vec4 value;

float noise(vec2 co) {
	return fract(sin(dot(co.xy ,vec2(12.9898,78.233))) * 43758.5453);
}

void main() {
	value = vec4((UV.x+UV.y)/2.0, UV.y, 0.0, 1.0);
	value = vec4(noise(UV), UV, 1.0);
}
